[ARVADOS-DEV] updated: 53b5baa5eda1499e4b5c15f71adefc3b85a8c71c

git at public.curoverse.com git at public.curoverse.com
Thu Jan 14 12:05:09 EST 2016


Summary of changes:
 arvbox/bin/arvbox | 8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

       via  53b5baa5eda1499e4b5c15f71adefc3b85a8c71c (commit)
      from  d42510f7df41351c540f7caa991720e7293ae669 (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.


commit 53b5baa5eda1499e4b5c15f71adefc3b85a8c71c
Author: peter <peter at peter-centos6-test.ny3nnviyjnku5mvo2sgdg2iv2h.bx.internal.cloudapp.net>
Date:   Thu Jan 14 17:03:52 2016 +0000

    8080: Check for Docker.  Suppress some messages generated by `which`.

diff --git a/arvbox/bin/arvbox b/arvbox/bin/arvbox
index d1d1bb2..691b79d 100755
--- a/arvbox/bin/arvbox
+++ b/arvbox/bin/arvbox
@@ -2,8 +2,14 @@
 
 set -e
 
+if ! which docker >/dev/null 2>/dev/null ; then 
+  echo "Arvbox requires Docker.  To install, run the following command as root:"
+  echo "curl -sSL https://get.docker.com/ | sh"
+  exit 1
+fi
+
 if test -z "$ARVBOX_DOCKER" ; then
-    if which greadlink >/dev/null ; then
+    if which greadlink >/dev/null 2>/dev/null ; then
         ARVBOX_DOCKER=$(greadlink -f $(dirname $0)/../lib/arvbox/docker)
     else
         ARVBOX_DOCKER=$(readlink -f $(dirname $0)/../lib/arvbox/docker)

-----------------------------------------------------------------------


hooks/post-receive
-- 




More information about the arvados-commits mailing list